diff --git a/source/encoder/analysis.cpp b/source/encoder/analysis.cpp
index 71d2395..87b88eb 100644
--- a/source/encoder/analysis.cpp
+++ b/source/encoder/analysis.cpp
@@ -2439,6 +2439,7 @@ uint32_t Analysis::topSkipMinDepth(const CUData& parentCTU, const CUGeom& cuGeom
     uint32_t minDepth0 = 4, minDepth1 = 4;
     uint32_t sum = 0;
     int numRefs = 0;
+
     if (m_slice->m_numRefIdx[0])
     {
         numRefs++;
@@ -2446,6 +2447,11 @@ uint32_t Analysis::topSkipMinDepth(const CUData& parentCTU, const CUGeom& cuGeom
         previousQP = cu.m_qp[0];
         if (!cu.m_cuDepth[cuGeom.absPartIdx])
             return 0;
+
+        // Enable 64x64 block analyze when Intra choice its biggest block size
+        if (cu.m_predMode[cuGeom.absPartIdx] == MODE_INTRA && cu.m_cuDepth[cuGeom.absPartIdx] == 1)
+            return 0;
+
         for (uint32_t i = 0; i < cuGeom.numPartitions; i += 4)
         {
             uint32_t d = cu.m_cuDepth[cuGeom.absPartIdx + i];
